BubblePlotWindow (QuantitativePropertiesVisualisation 1.1.0-2.14.0 API)
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.visualisation.client.bubbles
Class BubblePlotWindow

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.sencha.gxt.widget.core.client.Component
                  com.sencha.gxt.widget.core.client.container.Container
                      com.sencha.gxt.widget.core.client.container.ResizeContainer
                          com.sencha.gxt.widget.core.client.container.SimpleContainer
                              com.sencha.gxt.widget.core.client.ContentPanel
                                  com.sencha.gxt.widget.core.client.Window
                                      org.visualisation.client.bubbles.BubblePlotWindow

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.logical.shared.HasResizeHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.AcceptsOneWidget, com.google.gwt.user.client.ui.HasOneWidget, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.HasWidgets.ForIsWidget, com.google.gwt.user.client.ui.IndexedPanel, com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget, com.google.gwt.user.client.ui.IsWidget, com.google.gwt.user.client.ui.ProvidesResize, com.google.gwt.user.client.ui.RequiresResize, com.sencha.gxt.widget.core.client.Collapsible, com.sencha.gxt.widget.core.client.container.HasLayout, com.sencha.gxt.widget.core.client.event.ActivateEvent.HasActivateHandlers<com.sencha.gxt.widget.core.client.Window>, com.sencha.gxt.widget.core.client.event.AddEvent.HasAddHandlers, com.sencha.gxt.widget.core.client.event.BeforeAddEvent.HasBeforeAddHandlers, com.sencha.gxt.widget.core.client.event.BeforeCollapseEvent.HasBeforeCollapseHandlers, com.sencha.gxt.widget.core.client.event.BeforeExpandEvent.HasBeforeExpandHandlers, com.sencha.gxt.widget.core.client.event.BeforeHideEvent.HasBeforeHideHandlers, com.sencha.gxt.widget.core.client.event.BeforeRemoveEvent.HasBeforeRemoveHandlers, com.sencha.gxt.widget.core.client.event.BeforeShowContextMenuEvent.HasBeforeShowContextMenuHandler, com.sencha.gxt.widget.core.client.event.BeforeShowEvent.HasBeforeShowHandlers, com.sencha.gxt.widget.core.client.event.BlurEvent.HasBlurHandlers, com.sencha.gxt.widget.core.client.event.CollapseEvent.HasCollapseHandlers, com.sencha.gxt.widget.core.client.event.ContainerHandler.HasContainerHandlers, com.sencha.gxt.widget.core.client.event.DeactivateEvent.HasDeactivateHandlers<com.sencha.gxt.widget.core.client.Window>, com.sencha.gxt.widget.core.client.event.DisableEvent.HasDisableHandlers, com.sencha.gxt.widget.core.client.event.EnableEvent.HasEnableHandlers, com.sencha.gxt.widget.core.client.event.ExpandEvent.HasExpandHandlers, com.sencha.gxt.widget.core.client.event.FocusEvent.HasFocusHandlers, com.sencha.gxt.widget.core.client.event.HideEvent.HasHideHandlers, com.sencha.gxt.widget.core.client.event.MaximizeEvent.HasMaximizeHandlers, com.sencha.gxt.widget.core.client.event.MinimizeEvent.HasMinimizeHandlers, com.sencha.gxt.widget.core.client.event.MoveEvent.HasMoveHandlers, com.sencha.gxt.widget.core.client.event.RemoveEvent.HasRemoveHandlers, com.sencha.gxt.widget.core.client.event.RestoreEvent.HasRestoreHandlers, com.sencha.gxt.widget.core.client.event.ShowContextMenuEvent.HasShowContextMenuHandler, com.sencha.gxt.widget.core.client.event.ShowEvent.HasShowHandlers, com.sencha.gxt.widget.core.client.HasFocusSupport, com.sencha.gxt.widget.core.client.HasItemId, Iterable<com.google.gwt.user.client.ui.Widget>

    public class BubblePlotWindow

extends com.sencha.gxt.widget.core.client.Window

Author:
  Nikolas Laskaris creates a GCube widget which will contain a
  element to display the visualisation

Nested Class Summary

Nested classes/interfaces inherited from class com.sencha.gxt.widget.core.client.Window
`com.sencha.gxt.widget.core.client.Window.DefaultWindowMessages, com.sencha.gxt.widget.core.client.Window.WindowAppearance, com.sencha.gxt.widget.core.client.Window.WindowMessages`

Nested classes/interfaces inherited from class com.sencha.gxt.widget.core.client.ContentPanel
`com.sencha.gxt.widget.core.client.ContentPanel.ContentPanelAppearance, com.sencha.gxt.widget.core.client.ContentPanel.ContentPanelMessages, com.sencha.gxt.widget.core.client.ContentPanel.DefaultContentPanelMessages, com.sencha.gxt.widget.core.client.ContentPanel.PanelHeaderAppearance`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.IndexedPanel
`com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget`

Field Summary

Fields inherited from class com.sencha.gxt.widget.core.client.Window
`ariaMoveResizeDistance, closeBtn, dragger, manager, removeFromParentOnHide, restoreBtn`

Fields inherited from class com.sencha.gxt.widget.core.client.ContentPanel
`buttonBar, header, secondPassRequired`

Fields inherited from class com.sencha.gxt.widget.core.client.container.SimpleContainer
`resize, widget`

Fields inherited from class com.sencha.gxt.widget.core.client.container.ResizeContainer
`forceLayoutCommand, forceLayoutOnResize, hadLayoutRunning, layoutCommand, layoutRequiredThisEventLoop, layoutRunning`

Fields inherited from class com.sencha.gxt.widget.core.client.Component
`adjustSize, allowTextSelection, cacheSizes, disableContextMenu, disabled, disabledStyle, ensureVisibilityOnSizing, hidden, lastSize, layer, left, mask, maskMessage, monitorWindowResize, pageX, pageY, shim, toolTip, toolTipConfig, top, windowResizeDelay, windowResizeTask`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`BubblePlotWindow(String layerName, String idFieldName, String populationFieldName, String skewFieldName, String divID, String width, String height)` The layer should return a GeoJSON string with at least the following values (in json path): features.id features.properties.occurrences features.properties.skew features.properties.scientific_name
`BubblePlotWindow(String geoserverUrl, String workspace, String layerName, String idFieldName, String populationFieldName, String skewFieldName, String divID, String width, String height)` When we already know the parameters, that means actually no search, but just feed the values in json !

Method Summary
`void` | `load(String layerName, String visualisationFields)`
`void` | `load(String geoserverUrl, String workspace, String layerName, String visualisationFields)`

Methods inherited from class com.sencha.gxt.widget.core.client.Window
`addActivateHandler, addDeactivateHandler, addMaximizeHandler, addMinimizeHandler, addRestoreHandler, afterShow, alignTo, center, createGhost, doFocus, fitContainer, focus, getConstrain, getContainer, getDraggable, getFocusWidget, getHideButton, getMinHeight, getMinWidth, getModalPanel, getResizable, getWindowMessages, ghost, hide, hide, initTools, isAutoHide, isBlinkModal, isClosable, isDraggable, isMaximizable, isMaximized, isMinimizable, isModal, isOnEsc, isResizable, maximize, minimize, onAfterFirstAttach, onBrowserEvent, onDetach, onDragCancel, onDragEnd, onDragMove, onDragStart, onEndResize, onKeyPress, onStartResize, onWindowResize, restore, setActive, setAutoHide, setBlinkModal, setClosable, setConstrain, setContainer, setDraggable, setFocusWidget, setMaximizable, setMinHeight, setMinimizable, setMinWidth, setModal, setOnEsc, setPagePosition, setPosition, setResizable, setWindowMessages, setZIndex, show, showWindow, toBack, toFront, unghost`

Methods inherited from class com.sencha.gxt.widget.core.client.ContentPanel
`addBeforeCollapseHandler, addBeforeExpandHandler, addButton, addCollapseHandler, addExpandHandler, addTool, adjustBodySize, afterCollapse, afterExpand, collapse, doAttachChildren, doDetachChildren, doLayout, expand, getAnimationDuration, getBody, getButtonAlign, getButtonBar, getContainerTarget, getFrameSize, getHeader, getHTML, getMessages, getMinButtonWidth, getText, isAnimCollapse, isCollapsed, isCollapsible, isExpanded, isHideCollapseTool, isTitleCollapse, layoutBars, onClick, onCollapse, onDisable, onEnable, onExpand, onResize, setAnimationDuration, setAnimCollapse, setBodyBorder, setBodyStyle, setBodyStyleName, setButtonAlign, setCollapsible, setExpanded, setHeaderVisible, setHeadingHtml, setHeadingHtml, setHeadingText, setHideCollapseTool, setMessages, setMinButtonWidth, setTitleCollapse`

Methods inherited from class com.sencha.gxt.widget.core.client.container.SimpleContainer
`add, add, getWidget, isResize, onRemove, setResize, setWidget, setWidget`

Methods inherited from class com.sencha.gxt.widget.core.client.container.ResizeContainer
`applyLayout, applyLayout, forceLayout, forceLayoutOnChildren, forceLayoutOnChildren, getLeftRightMargins, getParentLayoutWidget, getSideMargins, getTopBottomMargins, isLayoutRunning, isOrWasLayoutRunning, isWidgetVisible, onBeforeDoLayout, onLoad, onResize`

Methods inherited from class com.sencha.gxt.widget.core.client.container.Container
`add, addAddHandler, addBeforeAddHandler, addBeforeRemoveHandler, addContainerHandler, addRemoveHandler, adjustIndex, adopt, checkIndexBoundsForInsertion, clear, disable, doPhysicalAttach, doPhysicalDetach, enable, ensureGroupingHandlerRegistration, findWidget, getChildren, getItemByItemId, getWidget, getWidgetCount, getWidgetIndex, getWidgetIndex, insert, iterator, onInsert, onWidgetHide, onWidgetShow, orphan, remove, remove, remove`

Methods inherited from class com.sencha.gxt.widget.core.client.Component
`addBeforeHideHandler, addBeforeShowContextMenuHandler, addBeforeShowHandler, addBlurHandler, addDisableHandler, addEnableHandler, addFocusHandler, addHideHandler, addMoveHandler, addResizeHandler, addShowContextMenuHandler, addShowHandler, addStyleDependentName, addStyleOnOver, adjustPosition, adjustSize, applyState, assertAfterRender, assertPreRender, blur, clearSizeCache, disableContextMenu, disableEvents, enableEvents, fireCancellableEvent, fireEvent, getData, getElement, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getOffsetHeight, getOffsetWidth, getPositionEl, getShadow, getStateId, getToolTip, hideShadow, hideToolTip, isAllowTextSelection, isAutoHeight, isAutoWidth, isDeferHeight, isEnabled, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, notifyHide, notifyShow, onAttach, onBlur, onFocus, onHide, onHideContextMenu, onPosition, onRightClick, onShow, onShowContextMenu, onUnload, removeStyleDependentName, removeStyleOnOver, removeToolTip, setAllowTextSelection, setBorders, setBounds, setBounds, setContextMenu, setData, setDeferHeight, setEnabled, setHeight, setHeight, setHideMode, setId, setItemId, setMonitorWindowResize, setPixelSize, setShadow, setSize, setStateful, setStateId, setStyleDependentName, setTabIndex, setToolTip, setToolTipConfig, setVisible, setWidth, setWidth, sync, syncSize, unmask`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BubblePlotWindow

    public BubblePlotWindow(String layerName,
                            String idFieldName,
                            String populationFieldName,
                            String skewFieldName,
                            String divID,
                            String width,
                            String height)

  The layer should return a GeoJSON string with at least the following values (in json path): features.id features.properties.occurrences features.properties.skew features.properties.scientific_name

  Parameters:
    `layerName` - e.g. "count_occurences_skew"
    `divID` - the divID we wish to have for the visualisation canvas
    `width` - the widget width
    `height` - the widget height

### BubblePlotWindow

    public BubblePlotWindow(String geoserverUrl,
                            String workspace,
                            String layerName,
                            String idFieldName,
                            String populationFieldName,
                            String skewFieldName,
                            String divID,
                            String width,
                            String height)

  When we already know the parameters, that means actually no search, but just feed the values in json !

  Parameters:
    `geoserverUrl` - e.g: http://geoserver2.d4science.research-infrastructures.eu/geoserver/
    `workspace` -
    `layerName` -
    `divID` -
    `width` -
    `height` -

Method Detail

### load

    public void load(String layerName,
                     String visualisationFields)

### load

    public void load(String geoserverUrl,
                     String workspace,
                     String layerName,
                     String visualisationFields)
              throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.